%SYMMETRY Script for running the 'symmetric fibers'-test.

% S. Engblom 2009-06-17

M = 8; % number of fibers
Tend = 250; % final time
dt = 0.05; % time-step
%dt = 0.25; % time-step
theta = pi/M+linspace(0,2*pi,M+1); % symmetric case
%theta = linspace(0,2*pi,M+1); % non-symmetric due to periodicity
theta(end) = [];
R = 0.5; % radius of circle

% initial coordinates
x = R*cos(theta);
y = R*sin(theta);
z = zeros(1,M);
t = [zeros(2,M); ones(1,M)]; % straight fibers
%t = [-y/4; x/4; ones(1,M)]; % tilted according to tangent of circle
%t = tprod(t,1./sqrt(sum(t.*t)),[1 2],[3 2]);

% solve
fibr.Ldim = [8 8 16];
fibr.Mfibers = M;
fibr.init = [x; y; z; t];
fibr.ntable = [4 0.1];
%fibr.ntable = [2 0.25];
%fibr.ntable = 6;
fibr.nquad = [3 8];
%fibr.nquad = 6;
%fibr.nquad = 8;
fibr = fibrsetup(fibr);
tspan = 0:dt:Tend;
fibr.sol = advect(fibr,tspan);

% plot
figure,
for i = 1:numel(tspan)
  fibrplot(fibr,tspan(i));
  grid on;
  Mv(i) = getframe;
end
movie(Mv,4,8);

% fun plot!
figure,
dof = 1;
plot(fibr.sol.t,fibr.sol.sol(dof:6:end,:));
