function hash = fibrcheck(fibr)
%FIBRCHECK Cheksum for FIBR-structure.
%   HASH = FIBRCHECK(FIBR) computes a 32-bit checksum for the
%   FIBR-structure FIBR.
%
%   See also FIBRSETUP.

% S. Engblom 2009-06-09

% 32-bit checksum from all critical fields
hash = fsetop('check',[fibr.Ldim(:); fibr.eeps; fibr.Mfibers; ...
                    fibr.ExtForce(:); fibr.Nforce; fibr.nquad(:); ...
                    fibr.ntable(:)]);
